httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yury Faktorovich" <yfakt...@nusphere.com>
Subject Re: help to compile APACHE + PHP4 in QNX4.25
Date Tue, 26 Dec 2000 19:47:40 GMT
Hello ! What are the configure options that you're using? Also, would
you consider building libphp4.so - DSO instead of static? We at
NuSphere.com build Apache+php4 with essentially these arguments:
./configure \
       $EXTRA_ARGS \
       --prefix=$TARGET \
       --libdir=/usr/local/nusphere/apache/php \
       --datadir=/usr/local/nusphere/apache/php \
       --enable-inline-optimization \
       --enable-magic-quotes \
       --enable-track-vars \
       --enable-bcmath \
       --enable-memory-limit \
       --enable-wddx \
       --enable-sysvsem=shared \
       --enable-sysvshm=shared \
       --with-xml \
       --enable-ftp \
       --with-zlib=$ZLIBDIR \
       $GDARG \
       --enable-ucd-snmp-hack \
       --with-pdflib=shared \
       --with-mysql=$MYSQL \
       --with-ttf \
       $WITH_MM \
       --with-apxs=$APXS \
       --with-config-file-path=./ \
       $WITH_LDAP \
       --with-imap=shared,$WORKDIR/$IMAP_BUILD
This works on SunOS, RedHat 6 and 7, Susse and SlackWare. We have to do
some tweaking and playing with GD and ZLIBDIR to make sure that RH7 and
SunOS both work. Later we add Zend to php.ini. See if it helps.
Also, what are the errors you're getting?
I am not sure that this discussion belongs to this list, if it doesn't I
appologize.
Thanks. Yury

Maurizio wrote:

> hello, I have compiled Apache 1.3.14 for QNX.Now I'm trying to
> recompile it with PHP4 module. I have some errors because of some
> redefinition in include files and also for some diference in the
> source sintax. I tried to create the libphp4.a with gcc but when I
> recompile Apache I have an undefined symbol php4_module. I think the
> problem was in the different compiler used: PHP was compiled with gcc
> and APACHE with WATCOM.
> How can I solve this. Has someone used PHP + APACHE in QNX?
>
> I also tried to compile Apache 2.0a9 but the configure seems ignoring
> QNX. These are some output lines :
>
> loading cache ./config.cache
> checking host system type... Invalid configuration `i386-qnx-qnx425':
> system `qnx425' not recognized
>
> checking target system type... Invalid configuration
> `i386-qnx-qnx425': system `configure:773: checking build system type
> configure:2078: checking for mawk
> configure:2110: checking for gcc
> configure:2223: checking whether the C compiler (gcc) works
> configure:2239: gcc -o conftestconftest.c1>&5
> configure:2265: checking whether the C compiler (gcc) is a
> cross-compiler
> configure:2270: checking whether we are using GNU C
> configure:2298: checking whether gcc accepts -g
> configure:2330: checking how to run the C preprocessor
>
> ......
>
> .....
>
> checking for BSD-compatible nm... (cached) nm
> loading cache ./config.cache within ltconfig
> ltconfig: you must specify a host type if you use `--no-verify'
> Try `ltconfig --help' for more information.
> configure: error: libtool configure failed
> hreads_cflags
> configure:7439: checking for pthreads_lib
> configure:7507: checking for which threading library to use
>
> could someone please help me ?
>
> Thank YouMaurizio Cauci
> DREAMTECH di Cauci Maurizio
> Via Ronchetti, 2 - 21013 Gallarate (VA)
> www.dreamtech-it.com

Mime
View raw message